%define name	multimedia
%define	version	2.1
%define	release	13mdk


Summary: 	Several X utilities mainly for use with multimedia files.
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sound
Source: 	ftp://sunsite.unc.edu/pub/Linux/apps/sound/suites/multimedia-2.1.tar.bz2
Patch: 		multimedia-2.1-misc.patch.bz2
Patch1: 	multimedia-2.1-scsi.patch.bz2
Patch2: 	multimedia-2.1-res.patch.bz2
Patch3: 	multimedia-2.1-64bit.patch.bz2
Patch4: 	multimedia-2.1-ustat.patch.bz2
Patch5: 	multimedia-2.1-fixasnonroot.patch.bz2
BuildRequires: 	XFree86-devel xpm-devel
Buildroot: 	%{_tmppath}/%name-%version-root

%description
The multimedia package contains several X Window System utilities
for handling multimedia files:  xplaycd, xmixer and xgetfile.
Xplaycd is a CD player for playing audio CDs on your machine's
CD-ROM drive.  Xmixer controls the volume settings on your machine's
sound card.  Xgetfile is a versatile file browser, intended for use
in shell scripts.

Install the multimedia package if you need an audio CD player, a sound
card volume controller, or a file browser for use in shell scripts.

%prep
%setup -q -n multimedia
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBOPTS=-L/usr/X11R6/lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1,lib/X11/app-defaults} 
make install \
	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	DEFAULTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
	LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib \
	MKDIR="mkdir -p"

chmod 644 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/*
chmod 644 $RPM_BUILD_ROOT/usr/X11R6/man/man1/*
strip $RPM_BUILD_ROOT/usr/X11R6/bin/*
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

mkdir -p $RPM_BUILD_ROOT/var/lib/cddb/
chmod 1777 $RPM_BUILD_ROOT/var/lib/cddb/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
%dir /var/lib/cddb/ 
%config(noreplace) /usr/X11R6/lib/X11/app-defaults/*
%doc INSTALL

%changelog
* Mon Jul 30 2001 Yves Duret <yduret@mandrakesoft.com> 2.1-13mdk
- rebuild
- spec clean up, macros ..

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1-12mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-11mdk
- BM

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-10mdk
- Clean up specs.
- Fix build as non root.

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- fixed bug #633

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed groups, ran thru build system.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- use "mkdir -p" rather than mkdirhier to avoid IFS problem with bash-2.02.

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec install fix

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build
- buildroot

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated spec file
- added wmconfig stuff, but not included in file lists
  because users genarally cant control /dev/cdrom or /dev/mixer.
  Once users can do this we should include the wmconfig files.

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- incorporated 64bit cleanliness patch
- incorporated pointer init patch w/ makes xmplay work on Alphas
- built against glibc
